Skip to content

Deployment for Gigaset

Provisioning endpoint for Gigaset devices

HTTP: Instance ApiKey in Bearer Header

Authenticate using the Users global api key in Header'

  • When using a Voxbi pbx this is md5(instanceApiKey)
  • Not supported for MIXpbx
HTTP Authorization Scheme
bearer
API Key: Instance ApiKey in Query

Authenticate using the Users global api key in Query

  • When using a Voxbi pbx this is md5(instanceApiKey)
  • Not supported for MIXpbx
Parameter name
key
Located in
query
key path · string *
Instance API key (path param)
filename path · string
gigaset addition for autoprov
User-Agent header · string
User agent sent by the device
example: Gigaset N870 IP PRO/83.V2.57.0...;589EC65D1E59;Handset=50

Responses

Gigaset configuration
Response schema
No response body.
get https://{username}.voxbi.cloud/api/{version}/phone/deployment/gigaset/{key}/{filename}
Base URL https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/phone/deployment/gigaset/{key}/{filename}' \
  -H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/phone/deployment/gigaset/{key}/{filename}', {
  method: 'GET',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': `Bearer ${YOUR_TOKEN}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://{username}.voxbi.cloud/api/{version}/phone/deployment/gigaset/{key}/{filename}',
    headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
    'http' => [
        'method'  => 'GET',
        'header'  => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
    ],
]);

$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/phone/deployment/gigaset/{key}/{filename}', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.